<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";

echo '<img src="../images/img/partners.gif" alt=""> <b>Файлы Форума</b><br><br>';

if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!="") {
if($udata[10]>0){
echo'<img src="../images/img/mail.gif" alt=""> <b><a href="../pages/privat.php?'.SID.'"><font color="red">Приватное сообщение! ('.$privat.')</font></a></b><br>';}}

echo '<img src="../images/img/new_dir.gif" alt=""> <a href="new.php?'.SID.'">Новые файлы</a><br>';
echo '<img src="../images/img/top20_dir.gif" alt=""> <a href="top20.php?'.SID.'">Топ файлов</a><br>';

$dir = opendir ("."); 
while ($file = readdir ($dir)) {
if (is_dir($file)) {
if($file=="."||$file=="..") continue;
$downdir_array[]=$file;
}}  
closedir ($dir); 

sort($downdir_array);

$total = count($downdir_array);  
for ($i = 0; $i < $total; $i++){ 
	
$down_name=file_get_contents("$downdir_array[$i]/name.dat");

if($down_name==""){$down_name=$downdir_array[$i];}
echo '<img src="../images/img/dir.gif" alt=""> <a href="down.php?did='.$downdir_array[$i].'&amp;'.SID.'">'.$down_name.'</a> ('.count_dir($downdir_array[$i]).')<br>';
}

echo '<br><img src="../images/img/search.gif" alt=""> <a href="search.php?'.SID.'">Поиск файлов</a><br>';

echo '<br>Всего категорий: '.(int)$total.'<br>';
echo '<img src="../images/img/homepage.gif" alt=""> <a href="index.php?'.SID.'">На Форум</a>';
include_once"../themes/$config_themes/foot.php";
?>

